package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * LteWanSettingOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class LteWanSettingOpenApiVo   {
  @JsonProperty("lteWanPortsConfig")
  @Valid
  private List<LteWanPortSettingOpenApiVo> lteWanPortsConfig = null;

  public LteWanSettingOpenApiVo lteWanPortsConfig(List<LteWanPortSettingOpenApiVo> lteWanPortsConfig) {
    this.lteWanPortsConfig = lteWanPortsConfig;
    return this;
  }

  public LteWanSettingOpenApiVo addLteWanPortsConfigItem(LteWanPortSettingOpenApiVo lteWanPortsConfigItem) {
    if (this.lteWanPortsConfig == null) {
      this.lteWanPortsConfig = new ArrayList<>();
    }
    this.lteWanPortsConfig.add(lteWanPortsConfigItem);
    return this;
  }

  /**
   * LTE WAN ports config
   * @return lteWanPortsConfig
  */
  @ApiModelProperty(value = "LTE WAN ports config")

  @Valid

  public List<LteWanPortSettingOpenApiVo> getLteWanPortsConfig() {
    return lteWanPortsConfig;
  }

  public void setLteWanPortsConfig(List<LteWanPortSettingOpenApiVo> lteWanPortsConfig) {
    this.lteWanPortsConfig = lteWanPortsConfig;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LteWanSettingOpenApiVo lteWanSettingOpenApiVo = (LteWanSettingOpenApiVo) o;
    return Objects.equals(this.lteWanPortsConfig, lteWanSettingOpenApiVo.lteWanPortsConfig);
  }

  @Override
  public int hashCode() {
    return Objects.hash(lteWanPortsConfig);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LteWanSettingOpenApiVo {\n");
    
    sb.append("    lteWanPortsConfig: ").append(toIndentedString(lteWanPortsConfig)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

